API Reference//
- Create a risk rating job
List risk rating jobs
Retrieve a risk rating job
GetOperation
Run a risk rating job
Create a risk rating job
Creates a new risk rating job.
Security
oauth2_client_credentials or oauth2_authorization_code
REQUIRED. The ID to use for the job, which will become the final component of the job's resource name. This value should be 4-63 characters, and valid characters are /[a-z][0-9]-/.
Example:riskRatingJobId=pep-sanction-screen-001
Required. The risk rating job to create.
- Mock serverhttps://docs.bndry.net/_mock/apis/openapi/v1alpha/entities/{entity}/riskRatingJobs
- BNDRY APIhttps://api.bndry.app/v1alpha/entities/{entity}/riskRatingJobs
curl -i -X POST \
'https://docs.bndry.net/_mock/apis/openapi/v1alpha/entities/{entity}/riskRatingJobs?riskRatingJobId=pep-sanction-screen-001' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"name": "entities/-/riskRatingJobs/risk-rating-2024-0127-743891"
}'Success
(IDENTIFIER) Output only. The resource name of the job. Format: entities/-/riskRatingJobs/{risk_rating_job} string.resource_name = ["entities/-/riskRatingJobs/*"] // value must be a valid resource name
Example:"entities/-/riskRatingJobs/risk-rating-2024-0127-743891"
Output only. The timestamp when the job was created.
Example:"2023-01-15T01:30:15.01Z"
Response
{ "name": "entities/-/riskRatingJobs/risk-rating-2024-0127-743891", "createTime": "2023-01-15T01:30:15.01Z", "updateTime": "2023-01-15T01:30:15.01Z" }